Package wx :: Module grid :: Class PyGridCellEditor

[frames | no frames]

## Type PyGridCellEditor

        object --+
                 |
    GridCellWorker --+
                     |
        GridCellEditor --+
                         |
                        PyGridCellEditor

Known Subclasses:
  `CCellEditor`

Proxy of C++ PyGridCellEditor class

Method Summary
PyGridCellEditor | `__init__(self)`
| ``base_Destroy`(*args, **kwargs)` Please use PyGridCellEditor.Destroy instead.
| ``base_HandleReturn`(*args, **kwargs)` Please use PyGridCellEditor.HandleReturn instead.
| ``base_IsAcceptedKey`(*args, **kwargs)` Please use PyGridCellEditor.IsAcceptedKey instead.
| ``base_PaintBackground`(*args, **kwargs)` Please use PyGridCellEditor.PaintBackground instead.
| ``base_SetParameters`(*args, **kwargs)` Please use PyGridCellEditor.SetParameters instead.
| ``base_SetSize`(*args, **kwargs)` Please use PyGridCellEditor.SetSize instead.
| ``base_Show`(*args, **kwargs)` Please use PyGridCellEditor.Show instead.
| ``base_StartingClick`(*args, **kwargs)` Please use PyGridCellEditor.StartingClick instead.
| ``base_StartingKey`(*args, **kwargs)` Please use PyGridCellEditor.StartingKey instead.
| `SetParameters(self, params)`

Property Summary
| `thisown`: The membership flag

Method Details

### base_Destroy(*args, **kwargs)

Please use PyGridCellEditor.Destroy instead.

### base_HandleReturn(*args, **kwargs)

Please use PyGridCellEditor.HandleReturn instead.

### base_IsAcceptedKey(*args, **kwargs)

Please use PyGridCellEditor.IsAcceptedKey instead.

### base_PaintBackground(*args, **kwargs)

Please use PyGridCellEditor.PaintBackground instead.

### base_SetParameters(*args, **kwargs)

Please use PyGridCellEditor.SetParameters instead.

### base_SetSize(*args, **kwargs)

Please use PyGridCellEditor.SetSize instead.

### base_Show(*args, **kwargs)

Please use PyGridCellEditor.Show instead.

### base_StartingClick(*args, **kwargs)

Please use PyGridCellEditor.StartingClick instead.

### base_StartingKey(*args, **kwargs)

Please use PyGridCellEditor.StartingKey instead.

Property Details

### thisown

The membership flag

  Get Method:
    unknown--1218719364(...)
  Set Method:
    unknown--1218719308(...)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:08:25 2007 | http://epydoc.sf.net